Egret社区
5银子
问题:使用5.1.6版本引擎,无法使用第三方扩展库——粒子库。

按照白鹭官方说法,5.1.x 版本是 5.0.x 的升级版,目前还处于beta状态,不够稳定。
但是对于我们这种刚入坑的开发来说,会直接上手5.1.x,一方面可以体验最新引擎,另一方面,如果有问题可以及时反馈,促进5.1.x版本早日进入stable稳定状态。
但是第三方扩展库有些并未对新版本引擎做适配,而引擎升级,也没有给出相关库源码修改建议,这让我很困扰。
比如现在我要使用粒子库,但是又不想回到5.0.x版本引擎,发现有一些接口报错,感觉应该是5.1.x版本废弃的接口,现在不知道怎么修改,很困扰。
有没有对这一块代码熟悉的朋友指导一下,看看怎么修改一下。
另外,建议官方的扩展库,也相应能出个针对5.1.x版本的,也方便大家使用。

以下是报错截图

a1.png

a2.png


a3.png

最佳答案

查看完整内容

感谢反馈,在 github 上第三方仓库切换到 5.1.x分支下载。
分享到 :
0 人收藏

4 个回复

倒序浏览
app小王子  社区管理员 | 2018-3-12 22:32:43
感谢反馈,在 github 上第三方仓库切换到 5.1.x分支下载。
zhzh502  初学乍练 | 2018-3-13 11:22:39
app小王子 发表于 2018-3-13 09:45
感谢反馈,在 github 上第三方仓库切换到 5.1.x分支下载。

感谢大大,是我傻了,上面有5.1.x分支代码,感谢感谢!!
另外还有问题,麻烦指导一下:
使用默认的雪花特效,在游戏内运行,和编辑器内效果不一样,感觉游戏内运行,锯齿感比较重,没有找到平滑处理的方法,请问该怎么办?
QQ截图20180313111704.png
app小王子  社区管理员 | 2018-3-13 12:00:50
zhzh502 发表于 2018-3-13 11:22
感谢大大,是我傻了,上面有5.1.x分支代码,感谢感谢!!
另外还有问题,麻烦指导一下:
使用默认的雪花 ...

参考:http://developer.egret.com/cn/ap ... et.Bitmap#smoothing
zhzh502  初学乍练 | 2018-3-13 12:16:46
app小王子 发表于 2018-3-13 12:00
参考:http://developer.egret.com/cn/apidoc/index/name/egret.Bitmap#smoothing

谢谢,但这个是位图的接口,粒子相关接口,没有能够和位图相关的
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部